﻿--[Section to remove in merged SQL]
USE [Oasys]
GO
SET ANSI_WARNINGS ON
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--~[Section to remove in merged SQL]

IF NOT EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SystemCodesSelectType]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
BEGIN
	PRINT 'Creating procedure SystemCodesSelectType'
	EXEC ('CREATE PROCEDURE [dbo].[SystemCodesSelectType] AS RAISERROR(''Not implemented NULL'', 16, 1)')
END
GO

PRINT 'Altering procedure SystemCodesSelectType'
GO
ALTER PROCEDURE [SystemCodesSelectType]
@Type CHAR (2)='%%'
AS

SELECT 		SYSCOD.TYPE, SYSCOD.CODE, RTRIM(SYSCOD.DESCR), SYSCOD.ATTR, SYSCOD.LABL, SYSCOD.IRPO, SYSCOD.SUPV,
			SYSCOD.MANA, SYSCOD.ACTIVE, SYSCOD.PMATCH, SYSCOD.VALUE1, SYSCOD.VALUE2, SYSCOD.MFLEX, 
			SYSCOD.CODE + ' ' + RTRIM(SYSCOD.DESCR) AS 'Display'

FROM		SYSCOD

WHERE		SYSCOD.TYPE = @Type 
ORDER BY	SYSCOD.CODE
GO

